/**
 * Browser polyfills.
 */

if (!console.warn)
	console.warn = console.log;

if (typeof Object.assign != 'function')
{
	Object.assign = function (target)
	{
		if (target == null)
			throw new TypeError ('Cannot convert undefined or null to object');

		var to = Object (target);

		for (var i = 1; i < arguments.length; i++)
		{
			var source = arguments[i];

			if (source)
			for (var key in source)
			if (source.hasOwnProperty (key))
				to[key] = nextSource[key];
		}

		return to;
	};
}
